Bug 511060 - OpenDX fails to pick up installed libraries during the configure stage when rebuilt
OpenDX fails to pick up installed libraries during the configure stage when r...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dx (Show other bugs)
11
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 09:59 EDT by Joachim Frieben
Modified: 2009-11-27 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.4.4-10.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-27 17:02:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2009-07-13 09:59:53 EDT
Description of problem:
Rebuilding OpenDX from the SRPM reveals that NETCDF and ImageMagick are not recognized during the configure stage, and subsequently, they are not used during the build process. The configure script reports

  configure: checking for NETCDF support ......
  checking netcdf-3/netcdf.h usability... no
  checking netcdf-3/netcdf.h presence... no
  checking for netcdf-3/netcdf.h... no
  checking for nc_copy_att in -lnetcdf... yes
  checking if NETCDF package is complete... no -- some components failed test
  configure: checking for ImageMagick support ......
  checking for Magick-config... yes
  checking magick/api.h usability... no
  checking magick/api.h presence... no
  checking for magick/api.h... no
  checking for GetImageInfo in -lMagick... no
  checking if ImageMagick package is complete... no

This happens despite the following packages being installed:

- ImageMagick-6.5.1.2-1.fc11.i586
- ImageMagick-devel-6.5.1.2-1.fc11.i586
- ImageMagick-c++-6.5.1.2-1.fc11.i586
- ImageMagick-c++-devel-6.5.1.2-1.fc11.i586
- netcdf-4.0.0-2.fc11.i586
- netcdf-devel-4.0.0-2.fc11.i586

Version-Release number of selected component (if applicable):
dx-4.4.4-9.fc11

How reproducible:
Always.

Steps to Reproduce:
1. rpmbuild --rebuild dx-4.4.4-9.fc11.src.rpm
  
Actual results:
At least NETCDF and ImageMagick libraries are not recognized correctly.

Expected results:
NETCDF and ImageMagick libraries are recognized correctly and used during the build process.

Additional info:
I suppose that the paths to the header files are not recognized properly and need to be set explicitly. NETCDF header files are located in /usr/include/netcdf/ but it appears that the configure script looks for a directory named /usr/include/netcdf-3/. All header files and related subdirectories belonging to ImageMagick are located in /usr/include/ImageMagick/. In the case of api.h which is sought by configure, the file is found in /usr/include/ImageMagick/magick/ which is probably overlooked by the configure script.
Comment 1 Joachim Frieben 2009-07-18 10:14:59 EDT
After explicitly setting CPPFLAGS to "-I/usr/include/ImageMagick", the ImageMagick header files are detected correctly:

  checking for Magick-config... yes
  checking magick/api.h usability... yes
  checking magick/api.h presence... yes
  checking for magick/api.h... yes

Regarding the message "checking for GetImageInfo in -lMagick... no", it is worth pointing out that ImageMagick-devel RPM only contains libraries

  /usr/lib/libMagickCore.so ,
  /usr/lib/libMagickWand.so .

It seems that the configure script of the dx-4.4.4.tar.gz source package is not up to date in this respect.
Comment 2 Dominik 'Rathann' Mierzejewski 2009-11-08 07:58:43 EST
Thanks for the report. I've fixed it in CVS, but there's no point in making a new build until I get the other problems fixed.
Comment 3 Fedora Update System 2009-11-08 10:45:22 EST
dx-4.4.4-10.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dx-4.4.4-10.fc11
Comment 4 Fedora Update System 2009-11-10 12:50:03 EST
dx-4.4.4-10.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11224
Comment 5 Fedora Update System 2009-11-27 17:02:08 EST
dx-4.4.4-10.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.